#include "GUI_VC66_AC_TEMP.h"

/*ZH:*/

/*外温 显示*/

static const uint16_t GUI_DISP_AC_TEMP[2] = {229, 216};

void Gui_Display_AC_TEMP(void)
{
    uint8_t AC_TEMP_value = 0u;

    AC_TEMP_value = 17u;

    GUI_General_Display(Temp_Sprite, CN_xiaotianqi, GUI_BLENDMODE_SRC_OVER); //显示 天气图标
    GUI_General_Display(Temp_Sprite, CN_shiwaiwendu, GUI_BLENDMODE_SRC_OVER); //显示文字 “ 室外温度 ”
    GUI_General_Display(Temp_Sprite, CN_wendudanwei, GUI_BLENDMODE_SRC_OVER); //显示 温度单位
    
    if (1u)
    {
        GUI_Translate_Display(Temp_Sprite, Nb_12_heng, 207u, 58u, GUI_BLENDMODE_SRC_OVER); //显示 负号
    }

    /*显示 外温 的数值*/
    GUI_General_Digit_Display(Temp_Sprite, AC_TEMP_value, Nb_12_0, 2u, 1u, GUI_DISP_AC_TEMP, 48, GUI_BLENDMODE_SRC_OVER);
    
}

/*:ZH*/